Bug 463336 - hostname screen lacks a pre-filled in hostname
hostname screen lacks a pre-filled in hostname
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-09-22 18:25 EDT by Jesse Keating
Modified: 2013-01-09 22:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 02:24:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-09-22 18:25:10 EDT
In the case where network isn't up, or a reverse lookup is not possible, the hostname box is blank.  In the case where a reverse lookup is possible, only the domain part of the fqdn is filled in (ie ".click-network.com")  I'm told that this is wrong, and should be fixed.

While fixing, many of us find it odd that the screen talks about a hostname everywhere, but then expects a fqdn filled in.  Perhaps this mismatch can be corrected (yeah, sorry about the pile-on)

Putting it on the blocker tracker.
Comment 1 David Cantrell 2008-09-24 02:24:57 EDT
If network isn't up, the box is getting populated with 'localhost.localdomain', which is correct.  I can't get an empty box to show up anymore.  Likewise, when I do have network up for, say, stage 1, I get the FQDN in the box.

The screen doesn't require an FQDN, but will accept it.  By default, I try to populate the box with an FQDN if I can.  If I can't, I just put the value of Hostname from NetworkManager.  If that's nothing, I try a few other methods until finally falling back on 'localhost.localdomain'.

At any rate, not seeing the problem in the latest rawhide that I have.

Note You need to log in before you can comment on or make changes to this bug.